## net.sf.saxon.charcode
Class ASCIICharacterSet

    java.lang.Object
      net.sf.saxon.charcode.ASCIICharacterSet

All Implemented Interfaces:
  CharacterSet

    public class ASCIICharacterSet

extends Object
implements CharacterSet

This class defines properties of the US-ASCII character set

Field Summary
`static ASCIICharacterSet` `theInstance`

Method Summary
`static ASCIICharacterSet` `getInstance()`
`boolean` `inCharset(int c)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theInstance

    public static ASCIICharacterSet theInstance

Method Detail

### getInstance

    public static ASCIICharacterSet getInstance()

### inCharset

    public final boolean inCharset(int c)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

Copyright (C) Michael H. Kay. All rights reserved.